%define upstream_name    Template-Plugin-Gravatar
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Configurable TT2-based generation of Gravatar URLs from email addresses
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Digest::MD5) >= 2.250.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Template) >= 2.0.0
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(inc::Module::Install)
BuildArch:  noarch

%description
This plugin allows you to generate gravatar URLs from TT2 templates.

All of the options supported in Gravatars--default, rating, size, and
border--can be used here. The gravatar_id is generated from a given email.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.100.0-5.mga10
+ Revision: 2204754
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.100.0-4.mga9
+ Revision: 1810313
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.100.0-3.mga8
+ Revision: 1506221
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.100.0-2.mga7
+ Revision: 1286244
- Mageia 7 Mass Rebuild

* Wed Aug 02 2017 sander85 <sander85> 0.100.0-1.mga7
+ Revision: 1134120
- update to 0.10

* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-3.mga6
+ Revision: 1033897
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.90.0-2.mga6
+ Revision: 966930
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.90.0-1.mga6
+ Revision: 847107
- update to 0.09

* Wed Oct 15 2014 umeabot <umeabot> 0.70.0-3.mga5
+ Revision: 751131
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.70.0-2.mga5
+ Revision: 686342
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 0.70.0-1.mga5
+ Revision: 614995
- update to 0.07

* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-2.mga4
+ Revision: 522444
- Mageia 4 Mass Rebuild

* Sun Mar 03 2013 boklm <boklm> 0.50.0-1.mga3
+ Revision: 401196
- Update description
- imported package perl-Template-Plugin-Gravatar


* Sun Mar 03 2013 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
